curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/logs \
--header 'Authorization: Bearer <token>'{
"results": [
{
"type": "info",
"timestamp": "2022-06-22T14:20:17.733084815Z",
"step": "Create",
"message": {
"safe_message": "Preparing to delete EKS cluster."
},
"error": {
"tag": "CANNOT_UNINSTALL_HELM_CHART",
"user_log_message": "Wasn't able to delete all objects type Cert-Manager",
"link": "<string>",
"hint_message": "<string>",
"event_details": {
"provider_kind": "aws",
"region": "eu-west-3",
"transmitter": {
"type": "kubernetes",
"id": "za6ecdf3f",
"name": "cluster-name"
}
},
"underlying_error": {
"message": "<string>"
}
},
"details": {
"provider_kind": "aws",
"region": "eu-west-3",
"transmitter": {
"type": "kubernetes",
"id": "za6ecdf3f",
"name": "cluster-name"
}
}
}
]
}List Cluster Logs
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/logs \
--header 'Authorization: Bearer <token>'{
"results": [
{
"type": "info",
"timestamp": "2022-06-22T14:20:17.733084815Z",
"step": "Create",
"message": {
"safe_message": "Preparing to delete EKS cluster."
},
"error": {
"tag": "CANNOT_UNINSTALL_HELM_CHART",
"user_log_message": "Wasn't able to delete all objects type Cert-Manager",
"link": "<string>",
"hint_message": "<string>",
"event_details": {
"provider_kind": "aws",
"region": "eu-west-3",
"transmitter": {
"type": "kubernetes",
"id": "za6ecdf3f",
"name": "cluster-name"
}
},
"underlying_error": {
"message": "<string>"
}
},
"details": {
"provider_kind": "aws",
"region": "eu-west-3",
"transmitter": {
"type": "kubernetes",
"id": "za6ecdf3f",
"name": "cluster-name"
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Cluster ID
list cluster logs
Show child attributes
Was this page helpful?